;###############################################################################
/* ToolTip for LilBuilder

*/
;###############################################################################

/*
ToolTip()
For tooltip functions see .\ext\ToolTip\ToolTip.ahk
*/

ToolTip_ShowTips4Pos:
  ToolTip_ShowTips4Pos()
Return
ToolTip_ShowTips4Pos(NewState=""){
  Static State := False

  If NewState = ReturnState
    Return State
    
  If NewState is not space
    Return State := NewState

  If !State
    Return
  
  GuiHWND := Selector_vGuiHWND()
  WinGetPos, ux, uy, , , ahk_id %GuiHWND%                  ;get pos of user gui
  WinGetPos, sx, sy ,sw, sh, % "ahk_id " Selector_vHWND()  ;get current pos/size of selector

  If Gui(GuiHWND,"Toolwindow"){
    ;window frame height/width of a toolwindow gui
    SysGet, XFrame,  7   ;SM_CXFIXEDFRAME =  7   ;width of frame
    SysGet, YFrame,  8   ;SM_CYFIXEDFRAME =  8   ;height of frame
    SysGet, HCaption, 51 ;SM_CYSMCAPTION  = 51   ;height of caption, the whole title height is: SM_CYSMCAPTION + SM_CYFIXEDFRAME
  }Else{
    ;window frame height/width of a regular gui
    SysGet, XFrame, 32   ;SM_CXSIZEFRAME = 32    ;width of frame
    SysGet, YFrame, 33   ;SM_CYSIZEFRAME = 33    ;height of frame
    SysGet, HCaption, 4  ;SM_CYCAPTION   =  4    ;height of caption, the whole title height is: SM_CYCAPTION + SM_CYSIZEFRAME
  }

  rx := sx - ux - XFrame                                   ;calculate relative position
  ry := sy - uy - YFrame - HCaption
  CoordMode, ToolTip, Screen
  ToolTip, x%rx% y%ry%`nw%sw% h%sh%, sX - 50, sY - 40, 2
}

